%{?nodejs_find_provides_and_requires}
%global npm_name fill-range

Summary:       Fill in a range of numbers or letters
Name:          nodejs-%{npm_name}
Version:       2.2.3
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jonschlinkert/fill-range
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Fill in a range of numbers or letters, 
optionally passing an increment or multiplier to use.

%prep
%setup -q -n package
chmod 644 *

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Wed Dec 16 2015 Troy Dawson <tdawson@redhat.com> - 2.2.3-1
- Initial package
